Yunseok's Dev Blog

배운 것을 적는 블로그입니다.

PHP phan 설치하기

Install

Depedencies

  • PHP 7 이상
  • PHP extension php-ast 0.1.5이상

php-ast install

pecl install ast-1.0.0
  • 설치 후 php.iniextension=ast.so를 추가합니다.
  • 추가한 후 php -m으로 ast가 있는지 확인합니다.

phan install

  • composer를 이용해 설치합니다.
composer require --dev phan/phan

Run

./vendor/bin/phan

Sources

  • https://github.com/phan/phan/wiki/Getting-Started